gcontrol {gap} | R Documentation

## genomic control

### Description

The Bayesian genomic control statistics with the following parameters,

n | number of loci under consideration
lambdahat | median(of the n trend statistics)/0.46
| Prior for noncentrality parameter Ai is
| Normal(sqrt(lambdahat)kappa,lambdahat*tau2)
kappa | multiplier in prior above, set at 1.6 * sqrt(log(n))
tau2 | multiplier in prior above
epsilon | prior probability a marker is associated, set at 10/n
ngib | number of cycles for the Gibbs sampler after burn in
burn | number of cycles for the Gibbs sampler to burn in

Armitage's trend test along with the posterior probability that each marker is associated with the disorder is given. The latter is not a p-value but any value greater than 0.5 (pout) suggests association.

### Usage

    gcontrol(data,zeta,kappa,tau2,epsilon,ngib,burn,idum)

### Arguments

`data` | the data matrix
`zeta` | program constant with default value 1000
`kappa` | multiplier in prior for mean with default value 4
`tau2` | multiplier in prior for variance with default value 1
`epsilon` | prior probability of marker association with default value 0.01
`ngib` | number of Gibbs steps, with default value 500
`burn` | number of burn-ins with default value 50
`idum` | seed for pseudorandom number sequence

### Value

The returned value is a list containing:

`deltot` | the probability of being an outlier
`x2` | the chi-squared statistic
`A` | the A vector

### References

Devlin B, Roeder K (1999) Genomic control for association studies. Biometrics 55:997-1004

### Note

Adapted from gcontrol by Bobby Jones and Kathryn Roeder, use -Dexecutable for standalone program, function getnum in the original code needs %*s to skip id string

### Author(s)

Bobby Jones, Jing Hua Zhao

### Source

http://www.stat.cmu.edu

### Examples

    ## Not run:
    test<-c(1,2,3,4,5,6,  1,2,1,23,1,2, 100,1,2,12,1,1,
            1,2,3,4,5,61, 1,2,11,23,1,2, 10,11,2,12,1,11)
    test<-matrix(test,nrow=6,byrow=T)
    gcontrol(test)

    ## End(Not run)

[Package gap version 1.2.1 Index]